JspSubmitToRemoteTag (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib.jsp
[Java] Class JspSubmitToRemoteTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.codehaus.groovy.grails.web.taglib.jsp.JspInvokeGrailsTagLibTag
                  org.codehaus.groovy.grails.web.taglib.jsp.JspSubmitToRemoteTag

    public class JspSubmitToRemoteTag
    extends JspInvokeGrailsTagLibTag

Authors:
  Graeme Rocher

Since:
  28-Feb-2006

Field Summary

Fields inherited from class JspInvokeGrailsTagLibTag
attributes

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
EVAL_BODY_TAG, EVAL_BODY_BUFFERED, EVAL_BODY_AGAIN, SKIP_BODY, EVAL_BODY_INCLUDE, SKIP_PAGE, EVAL_PAGE

Constructor Summary
`JspSubmitToRemoteTag()`

Method Summary
`java.lang.String` | `getAction()`
`java.lang.String` | `getAfter()`
`java.lang.String` | `getAsynchronous()`
`java.lang.String` | `getBefore()`
`java.lang.String` | `getController()`
`java.lang.String` | `getId()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOnComplete()`
`java.lang.String` | `getOnFailure()`
`java.lang.String` | `getOnInteractive()`
`java.lang.String` | `getOnLoaded()`
`java.lang.String` | `getOnLoading()`
`java.lang.String` | `getOnSuccess()`
`java.lang.String` | `getParams()`
`java.lang.String` | `getUpdate()`
`java.lang.String` | `getUrl()`
`java.lang.String` | `getValue()`
`void` | `setAction(java.lang.String action)`
`void` | `setAfter(java.lang.String after)`
`void` | `setAsynchronous(java.lang.String asynchronous)`
`void` | `setBefore(java.lang.String before)`
`void` | `setController(java.lang.String controller)`
`void` | `setId(java.lang.String id)`
`void` | `setMethod(java.lang.String method)`
`void` | `setName(java.lang.String name)`
`void` | `setOnComplete(java.lang.String onComplete)`
`void` | `setOnFailure(java.lang.String onFailure)`
`void` | `setOnInteractive(java.lang.String onInteractive)`
`void` | `setOnLoaded(java.lang.String onLoaded)`
`void` | `setOnLoading(java.lang.String onLoading)`
`void` | `setOnSuccess(java.lang.String onSuccess)`
`void` | `setParams(java.lang.String params)`
`void` | `setUpdate(java.lang.String update)`
`void` | `setUrl(java.lang.String url)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class JspInvokeGrailsTagLibTag
doAfterBody, doEndTag, doStartTag, doStartTagInternal, getTagName, setDynamicAttribute, setTagName

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
javax.servlet.jsp.tagext.BodyTagSupport#release(), javax.servlet.jsp.tagext.BodyTagSupport#doStartTag(), javax.servlet.jsp.tagext.BodyTagSupport#doEndTag(), javax.servlet.jsp.tagext.BodyTagSupport#doAfterBody(), javax.servlet.jsp.tagext.BodyTagSupport#doInitBody(), javax.servlet.jsp.tagext.BodyTagSupport#getBodyContent(), javax.servlet.jsp.tagext.BodyTagSupport#getPreviousOut(), javax.servlet.jsp.tagext.BodyTagSupport#setBodyContent(javax.servlet.jsp.tagext.BodyContent), javax.servlet.jsp.tagext.BodyTagSupport#setParent(javax.servlet.jsp.tagext.Tag), javax.servlet.jsp.tagext.BodyTagSupport#setValue(java.lang.String, java.lang.Object), javax.servlet.jsp.tagext.BodyTagSupport#getValues(), javax.servlet.jsp.tagext.BodyTagSupport#getValue(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#getId(), javax.servlet.jsp.tagext.BodyTagSupport#getParent(), javax.servlet.jsp.tagext.BodyTagSupport#setId(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#findAncestorWithClass(javax.servlet.jsp.tagext.Tag, java.lang.Class), javax.servlet.jsp.tagext.BodyTagSupport#setPageContext(javax.servlet.jsp.PageContext), javax.servlet.jsp.tagext.BodyTagSupport#removeValue(java.lang.String), javax.servlet.jsp.tagext.BodyTagSupport#wait(long, int), javax.servlet.jsp.tagext.BodyTagSupport#wait(long), javax.servlet.jsp.tagext.BodyTagSupport#wait(), javax.servlet.jsp.tagext.BodyTagSupport#equals(java.lang.Object), javax.servlet.jsp.tagext.BodyTagSupport#toString(), javax.servlet.jsp.tagext.BodyTagSupport#hashCode(), javax.servlet.jsp.tagext.BodyTagSupport#getClass(), javax.servlet.jsp.tagext.BodyTagSupport#notify(), javax.servlet.jsp.tagext.BodyTagSupport#notifyAll()

Constructor Detail

### JspSubmitToRemoteTag

    public JspSubmitToRemoteTag()

Method Detail

### getAction

    public java.lang.String getAction()

### getAfter

    public java.lang.String getAfter()

### getAsynchronous

    public java.lang.String getAsynchronous()

### getBefore

    public java.lang.String getBefore()

### getController

    public java.lang.String getController()

### getId

    @java.lang.Override
    public java.lang.String getId()

### getMethod

    public java.lang.String getMethod()

### getName

    public java.lang.String getName()

### getOnComplete

    public java.lang.String getOnComplete()

### getOnFailure

    public java.lang.String getOnFailure()

### getOnInteractive

    public java.lang.String getOnInteractive()

### getOnLoaded

    public java.lang.String getOnLoaded()

### getOnLoading

    public java.lang.String getOnLoading()

### getOnSuccess

    public java.lang.String getOnSuccess()

### getParams

    public java.lang.String getParams()

### getUpdate

    public java.lang.String getUpdate()

### getUrl

    public java.lang.String getUrl()

### getValue

    public java.lang.String getValue()

### setAction

    public void setAction(java.lang.String action)

### setAfter

    public void setAfter(java.lang.String after)

### setAsynchronous

    public void setAsynchronous(java.lang.String asynchronous)

### setBefore

    public void setBefore(java.lang.String before)

### setController

    public void setController(java.lang.String controller)

### setId

    @java.lang.Override
    public void setId(java.lang.String id)

### setMethod

    public void setMethod(java.lang.String method)

### setName

    public void setName(java.lang.String name)

### setOnComplete

    public void setOnComplete(java.lang.String onComplete)

### setOnFailure

    public void setOnFailure(java.lang.String onFailure)

### setOnInteractive

    public void setOnInteractive(java.lang.String onInteractive)

### setOnLoaded

    public void setOnLoaded(java.lang.String onLoaded)

### setOnLoading

    public void setOnLoading(java.lang.String onLoading)

### setOnSuccess

    public void setOnSuccess(java.lang.String onSuccess)

### setParams

    public void setParams(java.lang.String params)

### setUpdate

    public void setUpdate(java.lang.String update)

### setUrl

    public void setUrl(java.lang.String url)

### setValue

    public void setValue(java.lang.String value)

Groovy Documentation